# Save Url
![Save Url](https://raw.github.com/ryanwild/save-url/master/docs/images/katvis.jpg)

Saves a url path to the corresponding directory structure

## Usage

```
var saveUrl = require("save-url");

//saveUrl.save(url, options, callback);
saveUrl.save(
    "http://www.twitter.com/spitcode", 
    {}, 
    function(err, httpResponse, body) {
    }
);

```

## Options

```
{
    baseDiskPath: __dirname,
    sanatizeFileName: true,
    fileName: "index.html",
    includeHtml: true,
    includeDomain: true,
    userAgent: "save-url (https://github.com/ryanwild/save-url.git)"
}
```